/
Updates a draft sender in...
Updates a draft sender in project.
Security
BasicAuth and BearerAuth and OAuth2Production
The unique ID of the project. You can find this on the Sinch Dashboard.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}
Example of full body to update a sender.
curl -i -X PATCH \
-u '<username>:<password>' \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"status": "SUBMIT",
"details": {
"adminPhoneNo": "+48777777777",
"name": "Test Name",
"logoImage": "https://example-logo-image.com",
"topLevelCategoryCode": "019",
"midLevelCategoryCode": "0006",
"subLevelCategoryCode": "0001"
}
}'Updated sender in project
The current state of the sender.
Enum:"ACTIVE""BLOCKED""INACTIVE""SUSPENDED""VERIFYING"
Response
Response when successfully update a sender.
{ "id": "cf11794a-6a5e-4a12-b103-da79bd378bf1", "plusFriendId": "5WY5zKfY3pB56EmDVUPQ", "state": "ACTIVE", "changes": { "status": "REJECTED", "details": { … } }, "details": { "adminPhoneNo": "+48777777777", "name": "Test Name", "logoImage": "https://example-logo-image.com", "topLevelCategoryCode": "019", "midLevelCategoryCode": "0006", "subLevelCategoryCode": "0001" }, "created": "2023-02-23T11:28:51.194Z", "modified": "2023-02-23T11:28:51.194Z" }
We'd love to hear from you!
Rate this content: